unsigned char ufont[] = {
0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,
3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,
6,3,34,3,54,3,74,3,154,3,216,3,56,4,68,4,108,4,148,4,164,4,176,4,194,4,202,4,216,4,224,4,46,
5,66,5,152,5,242,5,8,6,80,6,174,6,230,6,92,7,186,7,210,7,238,7,248,7,4,8,14,8,76,8,184,8,
212,8,38,9,102,9,158,9,194,9,226,9,44,10,84,10,104,10,142,10,182,10,206,10,250,10,26,11,112,11,164,11,30,
12,110,12,178,12,206,12,248,12,16,13,52,13,84,13,116,13,144,13,164,13,172,13,192,13,206,13,214,13,226,13,44,14,
104,14,160,14,224,14,28,15,68,15,180,15,226,15,0,16,46,16,86,16,106,16,178,16,224,16,38,17,102,17,162,17,202,
17,10,18,40,18,86,18,110,18,146,18,178,18,216,18,244,18,38,19,46,19,0,3,0,3,0,3,96,19,162,19,230,19,
58,20,152,20,0,3,0,3,234,20,48,21,128,21,196,21,236,21,0,3,0,3,10,22,0,3,0,3,0,3,48,22,0,
3,128,22,206,22,6,23,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,
0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,
3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,
0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,
3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,
0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,
3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,60,23,142,23,253,23,84,24,176,24,232,24,58,25,116,25,
204,25,239,25,41,26,90,26,143,26,188,26,2,27,41,27,109,27,173,27,245,27,21,28,89,28,179,28,227,28,35,29,102,
29,132,29,176,29,231,29,6,30,62,30,99,30,193,30,228,30,48,31,104,31,144,31,204,31,16,32,102,32,158,32,1,33,
31,33,62,33,92,33,147,33,177,33,205,33,39,34,54,34,69,34,86,34,103,34,128,34,159,34,190,34,221,34,252,34,35,
35,55,35,76,35,153,35,249,35,25,36,57,36,98,36,141,36,167,36,188,36,238,36,42,37,60,37,81,37,102,37,123,37,
142,37,199,37,11,38,114,38,208,38,241,38,6,39,24,39,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,
3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,
0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,3,0,
3,0,3,0,3,0,3,0,3,65,0,0,1,64,1,44,66,60,12,12,66,7,54,13,238,19,54,13,66,12,54,13,18,
12,208,7,202,13,196,19,202,13,208,60,66,232,8,6,66,1,24,12,66,1,24,54,66,49,24,60,66,49,24,108,48,60,
8,82,48,59,196,50,48,27,196,0,10,109,10,0,234,109,234,84,90,84,38,30,90,31,172,54,90,55,172,78,48,73,42,
79,36,85,42,85,48,73,60,55,66,31,66,13,60,1,48,1,36,7,24,13,18,25,12,61,0,73,250,85,238,0,36,13,
24,25,18,61,6,73,0,79,250,85,238,85,214,73,202,55,196,31,196,13,202,1,214,1,220,7,226,13,220,7,214,108,66,
60,29,108,66,1,196,30,66,43,54,43,42,37,30,25,24,13,24,1,36,1,48,7,60,19,66,31,66,43,60,61,54,79,
54,97,60,109,66,84,238,73,232,67,220,67,208,79,196,91,196,103,202,109,214,109,226,97,238,85,238,114,66,60,46,108,18,
103,12,109,6,115,12,115,18,109,24,103,24,97,18,91,6,79,232,67,214,55,202,43,196,25,196,7,202,1,214,1,232,7,
244,43,12,55,24,61,36,61,48,55,60,43,66,31,60,25,48,25,36,31,18,43,0,73,214,85,202,103,196,109,196,115,202,
115,208,24,196,13,202,7,214,7,232,13,244,25,0,24,36,31,24,79,214,91,202,103,196,12,66,232,4,6,66,1,24,12,
66,1,24,42,90,102,18,42,90,31,78,19,60,7,36,1,6,1,238,7,208,19,184,31,166,43,154,30,78,19,54,13,36,
7,6,7,238,13,208,19,190,31,166,42,90,102,18,0,90,13,78,25,60,37,36,43,6,43,238,37,208,25,184,13,166,1,
154,12,78,25,54,31,36,37,6,37,238,31,208,25,190,13,166,92,48,60,6,46,48,47,196,0,22,95,222,0,222,95,22,
108,48,60,4,54,48,55,196,0,250,109,250,40,208,84,7,12,196,7,202,13,208,19,202,19,190,13,178,7,172,108,250,6,
2,0,250,109,250,48,208,60,5,12,208,7,202,13,196,19,202,13,208,108,90,102,2,108,90,1,154,84,66,60,37,36,66,
19,60,7,42,1,12,1,250,7,220,19,202,37,196,49,196,67,202,79,220,85,250,85,12,79,42,67,60,49,66,37,66,36,
66,25,60,19,54,13,42,7,12,7,250,13,220,19,208,25,202,37,196,48,196,61,202,67,208,73,220,79,250,79,12,73,42,
67,54,61,60,49,66,54,66,60,8,0,42,13,48,31,66,31,196,24,60,25,196,0,196,55,196,84,66,60,41,6,42,13,
36,7,30,1,36,1,42,7,54,13,60,31,66,55,66,73,60,79,54,85,42,85,30,79,18,61,6,31,250,19,244,7,232,
1,214,1,196,54,66,67,60,73,54,79,42,79,30,73,18,55,6,31,250,0,208,7,214,19,214,49,202,67,202,79,208,85,
214,18,214,49,196,73,196,79,202,85,214,85,226,84,66,60,43,6,42,13,36,7,30,1,36,1,42,7,54,13,60,31,66,
55,66,73,60,79,48,79,30,73,18,55,12,37,12,54,66,67,60,73,48,73,30,67,18,55,12,54,12,67,6,79,250,85,
238,85,220,79,208,73,202,55,196,31,196,13,202,7,208,1,220,1,226,7,232,13,226,7,220,72,0,79,238,79,220,73,208,
67,202,55,196,96,66,60,9,60,54,61,196,66,66,67,196,66,66,1,232,97,232,42,196,85,196,84,66,60,34,12,66,1,
6,0,6,13,18,31,24,49,24,67,18,79,6,85,244,85,232,79,214,67,202,49,196,31,196,13,202,7,208,1,220,1,226,
7,232,13,226,7,220,48,24,61,18,73,6,79,244,79,232,73,214,61,202,49,196,12,66,73,66,12,60,43,60,73,66,84,
66,60,45,72,48,67,42,73,36,79,42,79,48,73,60,61,66,43,66,25,60,13,48,7,36,1,12,1,232,7,214,19,202,
37,196,49,196,67,202,79,214,85,232,85,238,79,0,67,12,49,18,43,18,25,12,13,0,7,238,42,66,31,60,19,48,13,
36,7,12,7,232,13,214,25,202,37,196,48,196,61,202,73,214,79,232,79,238,73,0,61,12,49,18,84,66,60,26,0,66,
1,30,0,42,7,54,19,66,31,66,61,48,73,48,79,54,85,66,6,54,19,60,31,60,61,48,84,66,85,48,79,30,55,
0,49,244,43,226,43,196,78,30,49,0,43,244,37,226,37,196,84,66,60,57,30,66,13,60,7,48,7,30,13,18,31,12,
55,12,73,18,79,30,79,48,73,60,55,66,31,66,30,66,19,60,13,48,13,30,19,18,31,12,54,12,67,18,73,30,73,
48,67,60,55,66,30,12,13,6,7,0,1,244,1,220,7,208,13,202,31,196,55,196,73,202,79,208,85,220,85,244,79,0,
73,6,55,12,30,12,19,6,13,0,7,244,7,220,13,208,19,202,31,196,54,196,67,202,73,208,79,220,79,244,73,0,67,
6,55,12,84,66,60,45,78,24,73,6,61,250,43,244,37,244,19,250,7,6,1,24,1,30,7,48,19,60,37,66,49,66,
67,60,79,48,85,30,85,250,79,226,73,214,61,202,43,196,25,196,13,202,7,214,7,220,13,226,19,220,13,214,36,244,25,
250,13,6,7,24,7,30,13,48,25,60,37,66,48,66,61,60,73,48,79,30,79,250,73,226,67,214,55,202,43,196,64,24,
60,10,20,24,15,18,21,12,27,18,21,24,20,208,15,202,21,196,27,202,21,208,64,24,84,12,20,24,15,18,21,12,27,
18,21,24,20,196,15,202,21,208,27,202,27,190,21,178,15,172,96,48,60,3,96,48,1,250,97,196,108,12,24,4,0,12,
109,12,0,232,109,232,96,48,60,3,0,48,97,250,1,196,72,54,60,29,6,30,13,24,7,18,1,24,1,30,7,42,13,
48,25,54,43,54,61,48,67,42,73,30,73,18,67,6,61,0,37,244,37,226,42,54,55,48,61,42,67,30,67,18,61,6,
49,250,36,208,31,202,37,196,43,202,37,208,126,66,60,52,90,18,85,30,73,36,55,36,43,30,37,24,31,6,31,244,37,
232,49,226,67,226,79,232,85,244,54,36,43,24,37,6,37,244,43,232,49,226,90,36,85,244,85,232,97,226,109,226,121,238,
127,0,127,12,121,30,115,42,103,54,91,60,73,66,55,66,37,60,25,54,13,42,7,30,1,12,1,250,7,232,13,220,25,
208,37,202,55,196,73,196,91,202,103,208,109,214,96,36,91,244,91,232,97,226,108,66,60,12,54,66,13,196,54,66,97,196,
54,48,91,196,24,232,79,232,0,196,37,196,72,196,109,196,102,66,60,39,18,66,19,196,24,66,25,196,0,66,73,66,91,
60,97,54,103,42,103,30,97,18,91,12,73,6,72,66,85,60,91,54,97,42,97,30,91,18,85,12,73,6,24,6,73,6,
91,0,97,250,103,238,103,220,97,208,91,202,73,196,1,196,72,6,85,0,91,250,97,238,97,220,91,208,85,202,73,196,90,
66,60,30,84,48,91,30,91,66,85,48,73,60,55,66,43,66,25,60,13,48,7,36,1,18,1,244,7,226,13,214,25,202,
43,196,55,196,73,202,85,214,91,226,42,66,31,60,19,48,13,36,7,18,7,244,13,226,19,214,31,202,43,196,102,66,60,
26,18,66,19,196,24,66,25,196,0,66,61,66,79,60,91,48,97,36,103,18,103,244,97,226,91,214,79,202,61,196,1,196,
60,66,73,60,85,48,91,36,97,18,97,244,91,226,85,214,73,202,61,196,96,66,60,16,18,66,19,196,24,66,25,196,60,
30,61,238,0,66,97,66,97,30,91,66,24,6,61,6,0,196,97,196,97,232,91,196,96,66,60,14,18,66,19,196,24,66,
25,196,60,30,61,238,0,66,97,66,97,30,91,66,24,6,61,6,0,196,43,196,108,66,60,35,84,48,91,30,91,66,85,
48,73,60,55,66,43,66,25,60,13,48,7,36,1,18,1,244,7,226,13,214,25,202,43,196,55,196,73,202,85,214,42,66,
31,60,19,48,13,36,7,18,7,244,13,226,19,214,31,202,43,196,84,244,85,196,90,244,91,196,66,244,109,244,120,66,60,
18,18,66,19,196,24,66,25,196,96,66,97,196,102,66,103,196,0,66,43,66,78,66,121,66,24,6,97,6,0,196,43,196,
78,196,121,196,42,66,60,8,18,66,19,196,24,66,25,196,0,66,43,66,0,196,43,196,66,66,60,17,48,66,49,220,43,
202,31,196,19,196,7,202,1,214,1,226,7,232,13,226,7,220,42,66,43,220,37,202,31,196,24,66,67,66,114,66,60,18,
18,66,19,196,24,66,25,196,102,66,25,244,54,12,103,196,48,12,97,196,0,66,43,66,78,66,115,66,0,196,43,196,78,
196,115,196,90,66,60,10,18,66,19,196,24,66,25,196,0,66,43,66,0,196,91,196,91,232,85,196,126,66,60,20,18,66,
19,196,24,66,61,214,18,66,61,196,102,66,61,196,102,66,103,196,108,66,109,196,0,66,25,66,102,66,127,66,0,196,37,
196,84,196,127,196,114,66,60,14,18,66,19,196,24,66,97,208,24,54,97,196,96,66,97,196,0,66,25,66,78,66,115,66,
0,196,37,196,96,66,60,41,42,66,25,60,13,48,7,36,1,12,1,250,7,226,13,214,25,202,43,196,55,196,73,202,85,
214,91,226,97,250,97,12,91,36,85,48,73,60,55,66,43,66,42,66,31,60,19,48,13,36,7,12,7,250,13,226,19,214,
31,202,43,196,54,196,67,202,79,214,85,226,91,250,91,12,85,36,79,48,67,60,55,66,102,66,60,24,18,66,19,196,24,
66,25,196,0,66,73,66,91,60,97,54,103,42,103,24,97,12,91,6,73,0,25,0,72,66,85,60,91,54,97,42,97,24,
91,12,85,6,73,0,0,196,43,196,96,66,90,59,42,66,25,60,13,48,7,36,1,12,1,250,7,226,13,214,25,202,43,
196,55,196,73,202,85,214,91,226,97,250,97,12,91,36,85,48,73,60,55,66,43,66,42,66,31,60,19,48,13,36,7,12,
7,250,13,226,19,214,31,202,43,196,54,196,67,202,79,214,85,226,91,250,91,12,85,36,79,48,67,60,55,66,24,208,25,
214,31,226,43,232,49,232,61,226,67,214,73,172,79,166,91,166,97,178,97,184,66,214,73,190,79,178,85,172,91,172,97,178,
108,66,60,38,18,66,19,196,24,66,25,196,0,66,73,66,91,60,97,54,103,42,103,30,97,18,91,12,73,6,25,6,72,
66,85,60,91,54,97,42,97,30,91,18,85,12,73,6,0,196,43,196,54,6,67,0,73,250,91,208,97,202,103,202,109,208,
66,0,73,244,85,202,91,196,103,196,109,208,109,214,84,66,60,32,78,48,85,66,85,30,79,48,67,60,49,66,31,66,13,
60,1,48,1,36,7,24,13,18,25,12,61,0,73,250,85,238,0,36,13,24,25,18,61,6,73,0,79,250,85,238,85,214,
73,202,55,196,37,196,19,202,7,214,1,232,1,196,7,214,90,66,60,12,42,66,43,196,48,66,49,196,6,66,1,30,1,
66,91,66,91,30,85,66,24,196,67,196,120,66,60,19,18,66,19,232,25,214,37,202,55,196,67,196,85,202,97,214,103,232,
103,66,24,66,25,232,31,214,43,202,55,196,0,66,43,66,84,66,121,66,108,66,60,10,12,66,55,196,18,66,55,214,96,
66,55,196,0,66,37,66,72,66,109,66,132,66,60,16,18,66,43,196,24,66,43,226,66,66,43,196,66,66,91,196,72,66,
91,226,114,66,91,196,0,66,43,66,96,66,133,66,108,66,60,14,12,66,91,196,18,66,97,196,96,66,13,196,0,66,37,
66,72,66,109,66,0,196,37,196,72,196,109,196,114,66,60,14,12,66,55,0,55,196,18,66,61,0,61,196,102,66,61,0,
0,66,37,66,78,66,115,66,36,196,79,196,84,66,60,12,78,66,1,196,84,66,7,196,6,66,1,30,1,66,85,66,0,
196,85,196,85,232,79,196,42,90,102,8,14,90,15,154,0,90,1,154,42,90,1,90,42,154,1,154,108,90,102,2,0,90,
109,154,42,90,102,8,36,90,37,154,42,90,43,154,0,90,43,90,0,154,43,154,48,66,222,5,24,66,1,34,25,58,49,
34,25,66,108,184,72,2,0,184,109,184,12,66,232,4,6,66,13,24,0,66,13,24,90,24,60,35,12,12,13,6,7,6,
7,12,13,18,25,24,49,24,61,18,67,12,73,0,73,214,79,202,85,196,66,12,67,214,73,202,85,196,91,196,66,0,61,
250,25,244,7,238,1,226,1,214,7,202,25,196,43,196,55,202,67,214,24,244,13,238,7,226,7,214,13,202,25,196,96,66,
60,28,18,66,19,196,24,66,25,196,24,6,37,18,49,24,61,24,79,18,91,6,97,244,97,232,91,214,79,202,61,196,49,
196,37,202,25,214,60,24,73,18,85,6,91,244,91,232,85,214,73,202,61,196,0,66,25,66,78,24,60,26,72,6,67,0,
73,250,79,0,79,6,67,18,55,24,37,24,19,18,7,6,1,244,1,232,7,214,19,202,37,196,49,196,67,202,79,214,36,
24,25,18,13,6,7,244,7,232,13,214,25,202,37,196,96,66,60,30,72,66,73,196,78,66,79,196,72,6,61,18,49,24,
37,24,19,18,7,6,1,244,1,232,7,214,19,202,37,196,49,196,61,202,73,214,36,24,25,18,13,6,7,244,7,232,13,
214,25,202,37,196,54,66,79,66,72,196,97,196,78,24,60,28,6,244,79,244,79,0,73,12,67,18,55,24,37,24,19,18,
7,6,1,244,1,232,7,214,19,202,37,196,49,196,67,202,79,214,72,244,73,6,67,18,36,24,25,18,13,6,7,244,7,
232,13,214,25,202,37,196,54,66,60,18,48,60,43,54,49,48,55,54,55,60,49,66,37,66,25,60,19,48,19,196,36,66,
31,60,25,48,25,196,0,24,49,24,0,196,43,196,84,24,102,54,36,24,25,18,19,12,13,0,13,244,19,232,25,226,37,
220,49,220,61,226,67,232,73,244,73,0,67,12,61,18,49,24,37,24,24,18,19,6,19,238,25,226,60,226,67,238,67,6,
61,18,66,12,73,18,85,24,85,18,73,18,18,232,13,226,7,214,7,208,13,196,31,190,61,190,79,184,85,178,6,208,13,
202,31,196,61,196,79,190,85,178,85,172,79,160,61,154,25,154,7,160,1,172,1,178,7,190,25,196,108,66,60,21,18,66,
19,196,24,66,25,196,24,6,37,18,55,24,67,24,85,18,91,6,91,196,66,24,79,18,85,6,85,196,0,66,25,66,0,
196,43,196,66,196,109,196,42,66,60,13,18,66,13,60,19,54,25,60,19,66,18,24,19,196,24,24,25,196,0,24,25,24,
0,196,43,196,36,66,102,21,30,66,25,60,31,54,37,60,31,66,36,24,37,172,31,160,19,154,7,154,1,160,1,166,7,
172,13,166,7,160,30,24,31,172,25,160,19,154,12,24,37,24,102,66,60,18,18,66,19,196,24,66,25,196,84,24,25,220,
54,244,91,196,48,244,85,196,0,66,25,66,66,24,103,24,0,196,43,196,66,196,103,196,42,66,60,8,18,66,19,196,24,
66,25,196,0,66,25,66,0,196,43,196,174,24,60,34,18,24,19,196,24,24,25,196,24,6,37,18,55,24,67,24,85,18,
91,6,91,196,66,24,79,18,85,6,85,196,90,6,103,18,121,24,133,24,151,18,157,6,157,196,132,24,145,18,151,6,151,
196,0,24,25,24,0,196,43,196,66,196,109,196,132,196,175,196,108,24,60,21,18,24,19,196,24,24,25,196,24,6,37,18,
55,24,67,24,85,18,91,6,91,196,66,24,79,18,85,6,85,196,0,24,25,24,0,196,43,196,66,196,109,196,84,24,60,
33,36,24,19,18,7,6,1,244,1,232,7,214,19,202,37,196,49,196,67,202,79,214,85,232,85,244,79,6,67,18,49,24,
37,24,36,24,25,18,13,6,7,244,7,232,13,214,25,202,37,196,48,196,61,202,73,214,79,232,79,244,73,6,61,18,49,
24,96,24,102,30,18,24,19,154,24,24,25,154,24,6,37,18,49,24,61,24,79,18,91,6,97,244,97,232,91,214,79,202,
61,196,49,196,37,202,25,214,60,24,73,18,85,6,91,244,91,232,85,214,73,202,61,196,0,24,25,24,0,154,43,154,96,
24,102,28,72,24,73,154,78,24,79,154,72,6,61,18,49,24,37,24,19,18,7,6,1,244,1,232,7,214,19,202,37,196,
49,196,61,202,73,214,36,24,25,18,13,6,7,244,7,232,13,214,25,202,37,196,54,154,97,154,78,24,60,18,18,24,19,
196,24,24,25,196,24,244,31,6,43,18,55,24,73,24,79,18,79,12,73,6,67,12,73,18,0,24,25,24,0,196,43,196,
66,24,60,30,60,12,67,24,67,0,61,12,55,18,43,24,19,24,7,18,1,12,1,0,7,250,19,244,49,232,61,226,67,
220,0,6,7,0,19,250,49,238,61,232,67,226,67,208,61,202,49,196,25,196,13,202,7,208,1,220,1,196,7,208,66,66,
60,13,18,66,19,220,25,202,37,196,49,196,61,202,67,214,24,66,25,220,31,202,37,196,0,24,49,24,108,24,60,21,18,
24,19,214,25,202,43,196,55,196,73,202,85,214,24,24,25,214,31,202,43,196,84,24,85,196,90,24,91,196,0,24,25,24,
66,24,91,24,84,196,109,196,96,24,60,10,12,24,49,196,18,24,49,208,84,24,49,196,0,24,37,24,60,24,97,24,132,
24,60,16,18,24,43,196,24,24,43,214,66,24,43,196,66,24,91,196,72,24,91,214,114,24,91,196,0,24,43,24,96,24,
133,24,96,24,60,14,12,24,79,196,18,24,85,196,84,24,13,196,0,24,37,24,60,24,97,24,0,196,37,196,60,196,97,
196,96,24,102,17,12,24,49,196,18,24,49,208,84,24,49,196,37,172,25,160,13,154,7,154,1,160,7,166,13,160,0,24,
37,24,60,24,97,24,72,24,60,12,66,24,1,196,72,24,7,196,6,24,1,0,1,24,73,24,0,196,73,196,73,220,67,
196,24,90,102,23,24,90,7,72,1,54,1,42,7,24,25,6,12,78,7,60,7,36,13,18,24,6,7,250,25,238,24,238,
7,220,1,202,1,190,7,172,25,154,12,226,7,208,7,184,13,166,0,90,102,2,0,90,1,154,24,90,102,23,0,90,19,
72,25,54,25,42,19,24,1,6,12,78,19,60,19,36,13,18,0,6,19,250,1,238,0,238,19,220,25,202,25,190,19,172,
1,154,12,226,19,208,19,184,13,166,108,66,60,31,34,66,29,60,35,54,41,60,35,66,66,66,61,60,67,54,73,60,67,
66,18,24,19,214,25,202,43,196,55,196,73,202,85,214,24,24,25,214,31,202,43,196,84,24,85,196,90,24,91,196,0,24,
25,24,66,24,91,24,84,196,109,196,78,66,60,32,6,244,79,244,79,0,73,12,67,18,55,24,37,24,19,18,7,6,1,
244,1,232,7,214,19,202,37,196,49,196,67,202,79,214,72,244,73,6,67,18,36,24,25,18,13,6,7,244,7,232,13,214,
25,202,37,196,48,66,35,34,54,66,35,34,90,66,60,40,12,12,13,6,7,6,7,12,13,18,25,24,49,24,61,18,67,
12,73,0,73,214,79,202,85,196,66,12,67,214,73,202,85,196,91,196,66,0,61,250,25,244,7,238,1,226,1,214,7,202,
25,196,43,196,55,202,67,214,24,244,13,238,7,226,7,214,13,202,25,196,42,66,19,34,43,58,67,34,43,66,90,66,60,
45,26,66,21,60,27,54,33,60,27,66,58,66,53,60,59,54,65,60,59,66,12,12,13,6,7,6,7,12,13,18,25,24,
49,24,61,18,67,12,73,0,73,214,79,202,85,196,66,12,67,214,73,202,85,196,91,196,66,0,61,250,25,244,7,238,1,
226,1,214,7,202,25,196,43,196,55,202,67,214,24,244,13,238,7,226,7,214,13,202,25,196,90,66,60,39,12,12,13,6,
7,6,7,12,13,18,25,24,49,24,61,18,67,12,73,0,73,214,79,202,85,196,66,12,67,214,73,202,85,196,91,196,66,
0,61,250,25,244,7,238,1,226,1,214,7,202,25,196,43,196,55,202,67,214,24,244,13,238,7,226,7,214,13,202,25,196,
38,66,53,34,32,66,53,34,78,66,60,33,6,244,79,244,79,0,73,12,67,18,55,24,37,24,19,18,7,6,1,244,1,
232,7,214,19,202,37,196,49,196,67,202,79,214,72,244,73,6,67,18,36,24,25,18,13,6,7,244,7,232,13,214,25,202,
37,196,44,66,21,34,45,58,69,34,45,66,78,66,60,38,20,66,15,60,21,54,27,60,21,66,52,66,47,60,53,54,59,
60,53,66,6,244,79,244,79,0,73,12,67,18,55,24,37,24,19,18,7,6,1,244,1,232,7,214,19,202,37,196,49,196,
67,202,79,214,72,244,73,6,67,18,36,24,25,18,13,6,7,244,7,232,13,214,25,202,37,196,78,66,60,32,6,244,79,
244,79,0,73,12,67,18,55,24,37,24,19,18,7,6,1,244,1,232,7,214,19,202,37,196,49,196,67,202,79,214,72,244,
73,6,67,18,36,24,25,18,13,6,7,244,7,232,13,214,25,202,37,196,40,66,55,34,34,66,55,34,44,66,60,18,6,
66,1,60,7,54,13,60,7,66,38,66,33,60,39,54,45,60,39,66,18,24,19,196,24,24,25,196,0,24,25,24,0,196,
43,196,48,66,60,13,20,24,21,196,26,24,27,196,2,24,27,24,2,196,45,196,24,66,1,34,25,58,49,34,25,66,108,
82,60,17,54,82,49,76,55,70,61,76,55,82,54,66,13,196,54,66,97,196,54,48,91,196,24,232,79,232,0,196,37,196,
72,196,109,196,84,66,60,38,36,24,19,18,7,6,1,244,1,232,7,214,19,202,37,196,49,196,67,202,79,214,85,232,85,
244,79,6,67,18,49,24,37,24,36,24,25,18,13,6,7,244,7,232,13,214,25,202,37,196,48,196,61,202,73,214,79,232,
79,244,73,6,61,18,49,24,42,66,19,34,43,58,67,34,43,66,84,66,60,37,36,24,19,18,7,6,1,244,1,232,7,
214,19,202,37,196,49,196,67,202,79,214,85,232,85,244,79,6,67,18,49,24,37,24,36,24,25,18,13,6,7,244,7,232,
13,214,25,202,37,196,48,196,61,202,73,214,79,232,79,244,73,6,61,18,49,24,42,66,57,34,36,66,57,34,108,66,60,
26,18,24,19,214,25,202,43,196,55,196,73,202,85,214,24,24,25,214,31,202,43,196,84,24,85,196,90,24,91,196,0,24,
25,24,66,24,91,24,84,196,109,196,54,66,31,34,55,58,79,34,55,66,108,66,60,25,18,24,19,214,25,202,43,196,55,
196,73,202,85,214,24,24,25,214,31,202,43,196,84,24,85,196,90,24,91,196,0,24,25,24,66,24,91,24,84,196,109,196,
46,66,61,34,40,66,61,34,97,108,112,104,97,0,102,24,60,36,42,24,25,18,13,6,7,250,1,232,1,214,7,202,25,
196,37,196,49,202,67,220,79,238,91,6,97,24,42,24,31,18,19,6,13,250,7,232,7,214,13,202,25,196,42,24,55,24,
67,18,73,6,85,214,91,202,97,196,54,24,61,18,67,6,79,214,85,202,97,196,103,196,98,101,116,97,0,96,66,102,51,
66,66,49,60,37,48,25,24,19,6,13,238,7,202,1,154,66,66,55,60,43,48,31,24,25,6,19,238,13,202,7,154,66,
66,79,66,91,60,97,54,97,36,91,24,85,18,67,12,43,12,78,66,91,54,91,36,85,24,79,18,67,12,42,12,67,6,
79,250,85,238,85,220,79,208,73,202,55,196,43,196,31,202,25,208,19,226,42,12,61,6,73,250,79,238,79,220,73,208,67,
202,55,196,120,105,0,72,66,102,40,48,66,37,60,31,54,31,48,37,42,55,36,73,36,54,36,31,30,19,24,13,12,13,
0,25,244,43,238,61,238,54,36,37,30,25,24,19,12,19,0,31,244,43,238,42,238,19,232,7,226,1,214,1,202,13,190,
43,178,49,172,49,160,37,154,25,154,42,238,25,232,13,226,7,214,7,202,19,190,43,178,100,101,108,116,97,0,78,72,60,
41,60,18,49,24,37,24,19,18,7,0,1,238,1,220,7,208,13,202,25,196,37,196,55,202,67,220,73,238,73,0,67,12,
43,42,37,54,37,66,43,72,55,72,67,66,79,54,36,24,25,18,13,0,7,238,7,214,13,202,36,196,49,202,61,220,67,
238,67,6,61,18,49,36,43,48,43,60,49,66,61,66,79,54,101,112,115,105,108,111,110,0,66,24,60,22,66,18,55,24,
37,24,19,18,7,6,1,244,1,226,7,208,13,202,31,196,49,196,61,202,36,24,25,18,13,6,7,244,7,226,13,208,19,
202,31,196,6,238,55,238,112,104,105,0,96,66,102,37,66,66,31,154,72,66,25,154,42,24,19,18,7,6,1,244,1,226,
7,214,19,202,37,196,55,196,79,202,91,214,97,232,97,250,91,6,79,18,61,24,43,24,42,24,25,18,13,6,7,244,7,
226,13,214,25,202,37,196,54,196,73,202,85,214,91,232,91,250,85,6,73,18,61,24,103,97,109,109,97,0,102,24,102,24,
0,6,13,18,25,24,37,24,49,18,55,12,61,250,61,226,55,202,37,154,6,12,19,18,43,18,55,12,102,24,97,6,91,
250,61,208,43,178,31,154,96,24,91,6,85,250,61,208,116,104,101,116,97,0,78,66,60,39,48,66,31,60,19,42,13,30,
7,12,1,238,1,214,7,202,19,196,31,196,49,202,61,220,67,232,73,250,79,24,79,48,73,60,61,66,49,66,48,66,37,
60,25,42,19,30,13,12,7,238,7,214,13,202,19,196,30,196,43,202,55,220,61,232,67,250,73,24,73,48,67,60,61,66,
12,6,67,6,105,111,116,97,0,42,24,60,13,18,24,7,238,1,214,1,202,7,196,25,196,37,208,43,220,24,24,13,238,
7,214,7,202,13,196,107,97,112,112,97,0,96,24,60,24,24,24,1,196,30,24,7,196,84,24,91,18,97,18,91,24,79,
24,67,18,43,250,31,244,19,244,30,244,43,238,55,202,61,196,30,244,37,238,49,202,55,196,67,196,79,202,91,220,108,97,
109,98,100,97,0,96,66,60,19,6,66,19,66,31,60,37,54,43,42,79,214,85,202,91,196,18,66,31,54,37,42,73,214,
79,202,91,196,97,196,48,24,1,196,48,24,7,196,109,117,0,126,24,102,23,36,24,1,154,42,24,7,154,36,6,31,226,
31,208,43,196,55,196,67,202,79,214,91,232,102,24,85,214,85,202,91,196,109,196,121,208,127,220,108,24,91,214,91,202,97,
196,110,117,0,90,24,60,19,18,24,7,196,24,24,19,244,13,214,7,196,84,24,79,0,67,232,90,24,85,6,79,250,67,
232,55,220,37,208,25,202,7,196,0,24,25,24,111,109,105,99,114,111,110,0,72,24,60,29,36,24,19,18,7,0,1,238,
1,220,7,208,13,202,25,196,37,196,55,202,67,220,73,238,73,0,67,12,61,18,49,24,37,24,36,24,25,18,13,0,7,
238,7,214,13,202,36,196,49,202,61,220,67,238,67,6,61,18,112,105,0,108,24,60,16,42,18,19,196,42,18,25,196,78,
18,79,196,78,18,85,196,0,6,13,18,31,24,109,24,0,6,13,12,31,18,109,18,112,115,105,0,120,66,102,30,84,66,
49,154,90,66,43,154,0,0,7,12,19,24,37,24,43,18,43,6,37,232,37,214,49,202,67,202,79,208,97,226,109,244,30,
24,37,18,37,6,31,232,31,214,37,202,49,196,67,196,79,202,91,214,103,232,109,244,121,24,114,104,111,0,96,24,102,28,
24,226,31,208,37,202,49,196,61,196,79,202,91,220,97,238,97,0,91,12,85,18,73,24,61,24,43,18,31,0,25,238,1,
154,60,196,73,202,85,220,91,238,91,6,85,18,60,24,49,18,37,0,31,238,7,154,115,105,103,109,97,0,96,24,60,31,
96,24,37,24,19,18,7,0,1,238,1,220,7,208,13,202,25,196,37,196,55,202,67,220,73,238,73,0,67,12,61,18,49,
24,36,24,25,18,13,0,7,238,7,214,13,202,36,196,49,202,61,220,67,238,67,6,61,18,60,18,97,18,116,97,117,0,
96,24,60,12,54,18,37,196,54,18,43,196,0,6,13,18,31,24,97,24,0,6,13,12,31,18,97,18,117,112,115,105,108,
111,110,0,96,24,60,28,0,0,7,12,19,24,37,24,43,18,43,6,31,226,31,208,43,196,30,24,37,18,37,6,25,226,
25,208,31,202,43,196,49,196,67,202,79,214,91,232,97,250,97,12,91,24,85,18,91,12,97,250,90,232,97,12,111,109,101,
103,97,0,102,24,60,40,6,0,19,12,37,18,31,24,19,18,7,0,1,238,1,220,7,202,13,196,25,196,37,202,49,220,
55,238,0,220,7,208,13,202,25,202,37,208,49,220,48,238,49,220,55,202,61,196,73,196,85,202,97,220,103,238,103,0,97,
18,91,24,85,18,97,12,103,0,48,220,55,208,61,202,73,202,85,208,97,220,99,104,105,0,96,24,102,20,6,24,19,24,
31,18,37,6,67,172,73,160,79,154,18,24,25,18,31,6,61,172,67,160,79,154,91,154,96,24,91,12,79,250,19,184,7,
166,1,154,101,116,97,0,102,24,102,28,0,0,7,12,19,24,37,24,43,18,43,6,37,238,25,196,30,24,37,18,37,6,
31,238,19,196,36,238,49,6,61,18,73,24,85,24,97,18,103,12,103,250,97,220,79,154,84,24,97,12,97,250,91,220,73,
154,122,101,116,97,0,84,66,102,29,48,66,37,60,31,54,31,48,37,42,55,36,85,36,85,42,67,36,43,24,25,12,7,
250,1,232,1,220,7,208,25,196,43,184,49,172,49,160,43,154,31,154,25,160,54,30,31,12,13,250,7,232,7,220,13,208,
25,196,71,97,109,109,97,0,90,66,60,10,18,66,19,196,24,66,25,196,0,66,91,66,91,30,85,66,0,196,43,196,69,
116,97,0,120,66,60,18,18,66,19,196,24,66,25,196,96,66,97,196,102,66,103,196,0,66,43,66,78,66,121,66,24,6,
97,6,0,196,43,196,78,196,121,196,104,98,97,114,0,114,66,60,23,24,66,25,196,30,66,31,196,30,6,43,18,61,24,
73,24,91,18,97,6,97,196,72,24,85,18,91,6,91,196,6,66,31,66,6,196,49,196,72,196,115,196,84,60,1,12,76,
97,109,98,100,97,0,108,66,60,10,54,66,13,196,54,66,97,196,54,48,91,196,0,196,37,196,72,196,109,196,108,97,109,
98,100,97,98,97,114,0,96,66,60,21,6,66,19,66,31,60,37,54,43,42,79,214,85,202,91,196,18,66,31,54,37,42,
73,214,79,202,91,196,97,196,48,24,1,196,48,24,7,196,66,60,7,6,100,101,103,114,101,101,0,48,66,238,13,18,66,
7,60,1,48,1,36,7,24,19,18,31,18,43,24,49,36,49,48,43,60,31,66,19,66,79,109,105,99,114,111,110,0,96,
66,60,41,42,66,25,60,13,48,7,36,1,12,1,250,7,226,13,214,25,202,43,196,55,196,73,202,85,214,91,226,97,250,
97,12,91,36,85,48,73,60,55,66,43,66,42,66,31,60,19,48,13,36,7,12,7,250,13,226,19,214,31,202,43,196,54,
196,67,202,79,214,85,226,91,250,91,12,85,36,79,48,67,60,55,66,80,105,0,120,66,60,14,18,66,19,196,24,66,25,
196,96,66,97,196,102,66,103,196,0,66,121,66,0,196,43,196,78,196,121,196,80,115,105,0,114,66,60,34,54,66,55,196,
60,66,61,196,0,24,7,30,19,24,25,0,31,244,37,238,49,232,6,30,13,24,19,0,25,244,31,238,49,232,67,232,85,
238,91,244,97,0,103,24,109,30,66,232,79,238,85,244,91,0,97,24,109,30,115,24,36,66,79,66,36,196,79,196,82,104,
111,0,102,66,60,24,18,66,19,196,24,66,25,196,0,66,73,66,91,60,97,54,103,42,103,24,97,12,91,6,73,0,25,
0,72,66,85,60,91,54,97,42,97,24,91,12,85,6,73,0,0,196,43,196,83,105,103,109,97,0,96,66,60,15,6,66,
49,6,1,196,0,66,43,6,0,66,91,66,97,30,85,66,6,202,85,202,0,196,91,196,97,232,85,196,105,110,102,116,121,
0,114,18,30,25,114,244,109,232,97,226,85,226,73,232,67,238,49,6,43,12,31,18,19,18,7,12,1,0,1,244,7,232,
19,226,31,226,43,232,49,238,67,6,73,12,85,18,97,18,109,12,115,0,115,244,85,112,115,105,108,111,110,0,90,66,60,
28,0,36,1,48,7,60,13,66,25,66,31,60,37,48,43,24,43,196,0,48,13,60,25,60,37,48,90,36,91,48,85,60,
79,66,67,66,61,60,55,48,49,24,49,196,90,48,79,60,67,60,55,48,24,196,67,196,79,109,101,103,97,0,96,66,60,
38,0,214,7,196,31,196,19,220,7,244,1,6,1,30,7,48,19,60,37,66,61,66,79,60,91,48,97,30,97,6,91,244,
79,220,67,196,91,196,97,214,18,220,13,238,7,6,7,30,13,48,25,60,37,66,60,66,73,60,85,48,91,30,91,6,85,
238,79,220,6,202,25,202,72,202,91,202,100,97,103,0,72,66,102,24,36,66,31,54,37,42,43,54,37,66,36,66,37,154,
36,0,31,238,37,154,43,238,37,0,0,24,13,18,25,24,13,30,1,24,0,24,73,24,48,24,61,18,73,24,61,30,49,
24,100,100,97,103,0,72,66,102,45,36,66,31,54,37,42,43,54,37,66,36,66,37,238,36,6,31,250,43,226,37,214,31,
226,43,250,37,6,36,238,37,154,36,178,31,166,37,154,43,166,37,178,0,24,13,18,25,24,13,30,1,24,0,24,73,24,
48,24,61,18,73,24,61,30,49,24,0,196,13,190,25,196,13,202,1,196,0,196,73,196,48,196,61,190,73,196,61,202,49,
196,108,101,102,116,97,114,114,111,119,0,113,24,36,8,112,250,7,251,18,6,1,250,19,238,36,24,7,250,37,220,114,105,
103,104,116,97,114,114,111,119,0,109,24,36,8,0,250,103,251,90,6,109,250,91,238,72,24,103,250,73,220,100,111,119,110,
97,114,114,111,119,0,61,48,60,8,18,214,31,196,43,214,0,232,31,202,61,232,30,48,31,202,88,105,0,97,72,66,24,
6,72,1,42,96,72,91,42,30,18,25,244,72,18,67,244,6,220,1,190,96,220,91,190,6,60,91,60,6,54,91,54,30,
6,67,6,30,0,67,0,6,208,91,208,6,202,91,202,68,101,108,116,97,0,97,66,60,10,48,66,1,196,48,66,97,196,
48,48,91,196,6,202,91,202,0,196,97,196,117,112,97,114,114,111,119,0,61,48,60,8,18,30,31,48,43,30,0,12,31,
42,61,12,30,42,31,196,80,104,105,0,91,66,60,41,42,66,43,196,48,66,49,196,30,36,13,30,7,24,1,12,1,250,
7,238,13,232,31,226,61,226,79,232,85,238,91,250,91,12,85,24,79,30,61,36,31,36,30,36,19,30,13,24,7,12,7,
250,13,238,19,232,31,226,60,226,73,232,79,238,85,250,85,12,79,24,73,30,61,36,24,66,67,66,24,196,67,196,112,108,
0,97,48,48,4,0,0,97,0,48,48,49,208,99,114,0,97,48,48,4,0,208,97,48,0,48,97,208,100,105,0,97,48,
48,5,48,208,97,0,49,48,1,0,49,208,115,113,0,97,48,48,5,0,208,97,208,97,48,1,48,1,208,111,99,0,97,
48,48,9,0,232,1,24,25,48,73,48,97,24,97,232,73,208,25,208,1,232,102,100,0,97,48,48,12,0,0,25,0,49,
24,48,48,49,24,73,0,96,0,73,0,49,232,48,208,49,232,25,0,102,115,0,97,48,48,12,0,208,25,232,25,24,0,
48,25,24,73,24,96,48,73,24,73,232,96,208,73,232,25,232,102,120,0,97,48,48,12,0,208,97,48,0,48,97,208,96,
232,73,208,24,208,1,232,0,24,25,48,72,48,97,24,102,112,0,97,48,48,12,0,0,97,0,48,48,49,208,72,208,25,
208,0,232,1,24,24,48,73,48,96,24,97,232,98,117,0,97,48,48,16,24,0,1,0,0,48,25,24,48,24,49,48,96,
48,73,24,72,0,97,0,96,208,73,232,48,232,49,208,0,208,25,232,108,101,102,116,97,110,103,108,101,0,43,90,102,3,
42,90,1,250,43,154,114,105,103,104,116,97,110,103,108,101,0,43,90,102,3,0,90,43,250,1,154,105,98,0,73,72,60,
35,6,30,13,24,7,18,1,24,1,30,7,42,13,48,25,54,43,54,61,48,67,42,73,30,73,18,67,6,61,0,37,244,
42,54,55,48,61,42,67,30,67,18,61,6,49,250,36,72,31,60,37,226,43,60,37,72,36,60,37,12,36,208,31,202,37,
196,43,202,37,208,115,101,99,116,105,111,110,0,61,66,102,42,48,48,43,42,49,36,55,42,55,48,49,60,37,66,25,66,
13,60,7,48,7,36,13,24,25,12,55,250,12,24,43,6,55,250,61,238,61,226,55,214,43,202,18,18,7,6,1,250,1,
238,7,226,19,214,49,196,6,226,37,208,49,196,55,184,55,172,49,160,37,154,25,154,13,160,7,172,7,178,13,184,19,178,
13,172,99,97,112,0,97,42,54,12,0,202,1,244,7,12,13,24,25,36,43,42,55,42,73,36,85,24,91,12,97,244,97,
202,99,117,112,0,97,42,54,12,0,42,1,0,7,232,13,220,25,208,43,202,55,202,73,208,85,220,91,232,97,0,97,42,
109,101,110,98,101,114,111,102,0,97,42,54,14,96,42,55,42,31,36,19,30,7,18,1,0,1,244,7,226,19,214,31,208,
55,202,97,202,0,250,73,250,110,111,109,101,109,98,0,97,54,66,16,96,42,55,42,31,36,19,30,7,18,1,0,1,244,
7,226,19,214,31,208,55,202,97,202,0,250,73,250,66,54,37,190,101,120,105,115,116,0,79,66,60,8,78,66,79,196,0,
66,79,66,30,6,79,6,0,196,79,196,102,111,114,97,108,108,0,85,66,60,5,0,66,43,196,85,66,12,30,73,30,120,
111,114,0,85,42,42,21,36,42,19,36,7,24,1,6,1,250,7,232,19,220,37,214,49,214,67,220,79,232,85,250,85,6,
79,24,67,36,49,42,37,42,42,30,43,226,12,0,73,0,100,105,114,101,99,116,112,114,111,100,117,99,116,0,85,42,42,
21,36,42,19,36,7,24,1,6,1,250,7,232,19,220,37,214,49,214,67,220,79,232,85,250,85,6,79,24,67,36,49,42,
37,42,66,24,19,232,18,24,67,232,116,105,109,101,115,0,85,36,48,4,0,36,85,208,84,36,1,208,112,108,117,115,0,
97,42,60,6,48,42,49,196,0,250,97,250,0,196,97,196,60,61,0,97,66,60,7,96,66,1,24,97,238,0,226,97,226,
0,196,97,196,62,61,0,97,66,60,7,0,66,97,24,1,238,0,226,97,226,0,196,97,196,33,61,0,109,48,60,6,96,
48,13,196,0,12,109,12,0,232,109,232,112,114,111,112,111,114,116,105,111,110,97,108,0,103,24,36,20,102,220,91,220,79,
226,67,238,49,6,43,12,31,18,19,18,7,12,1,0,1,244,7,232,19,226,31,226,43,232,49,238,67,6,79,18,91,24,
103,24,105,110,116,0,121,90,102,30,114,84,109,78,115,72,121,78,121,84,115,90,103,90,91,84,79,72,73,60,67,42,61,
18,49,202,43,178,37,166,84,78,79,66,73,42,61,226,55,202,49,184,43,172,31,160,19,154,7,154,1,160,1,166,7,172,
13,166,7,160,108,105,110,116,0,121,90,102,47,114,84,109,78,115,72,121,78,121,84,115,90,103,90,91,84,79,72,73,60,
67,42,61,18,49,202,43,178,37,166,84,78,79,66,73,42,61,226,55,202,49,184,43,172,31,160,19,154,7,154,1,160,1,
166,7,172,13,166,7,160,54,36,37,30,25,18,19,0,19,244,25,226,37,214,55,208,67,208,85,214,97,226,103,244,103,0,
97,18,85,30,67,36,55,36,112,97,114,116,105,97,108,0,79,66,60,41,72,250,67,12,61,18,49,24,37,24,19,18,7,
0,1,238,1,220,7,208,13,202,25,196,37,196,55,202,67,214,73,232,79,6,79,36,73,54,67,60,55,66,37,66,25,60,
19,54,19,48,25,48,25,54,36,24,25,18,13,0,7,238,7,214,13,202,36,196,49,202,61,214,67,232,73,6,73,36,67,
54,55,66,103,114,97,100,105,101,110,116,0,97,66,60,10,0,66,49,196,6,66,49,208,96,66,49,196,0,66,97,66,6,
60,91,60,115,113,114,116,0,115,102,60,6,0,24,25,24,61,208,18,24,61,196,115,102,117,110,100,101,114,108,105,110,101,
0,133,160,96,2,0,160,133,160,108,105,110,101,0,109,0,0,2,0,0,109,1,};
